// -----------------
// q3a fur shader by boddo
// website: http://www.cyberpunkcafe.com/
// http://www.cyberpunkcafe.com/fur_shader/fur_tutorial.html
// -----------------
// Shader enhancements by wily duck.  http://gamedev.digitalamusement.com
//
// this first shader is the base shader (fur1_surf), and it is the only shader that you apply to your work.
// this shader will call on the fur layers on its own, fur1_p1
// fur1_p1 will call fur1_p2, and fur1_p2 will call fur1_p3.

// grass base shader //
textures/wily_grass/grass1_surf
{
	q3map_bouncescale 0.125
	surfaceparm nolightmap
	sort 9

	q3map_novertexshadows
	q3map_vertexScale 2
	q3map_cloneShader textures/wily_grass/grass1_p1
	{
		map textures/wily_grass/grass1_surf.tga
		rgbGen vertex
	}
}

// fur offset layer one
textures/wily_grass/grass1_p1
{
	q3map_novertexshadows
	q3map_vertexScale 2
	q3map_bouncescale 0.125
	q3map_cloneShader textures/wily_grass/grass1_p2
	q3map_offset 2

	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap

	sort 10
	cull none
	{
		map textures/ut4_superman_pre/grass1.tga
//		map textures/wily_grass/grass1.tga
//		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		blendfunc gl_dst_color gl_src_color
		alphaFunc GE128
		depthWrite
		rgbGen vertex
		tcmod scale .5 .5
	}
}

// fur offset layer two
textures/wily_grass/grass1_p2
{
	q3map_novertexshadows
	q3map_vertexScale 2
	q3map_bouncescale 0.125
	q3map_cloneShader textures/wily_grass/grass1_p3
	q3map_offset 2

	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap

	sort 11
	cull none
	{
		map textures/wily_grass/grass1.tga
//		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		blendfunc gl_dst_color gl_src_color
		alphaFunc GE128
		depthWrite
		rgbGen vertex
		tcmod scale .75 .75
	}
}

// fur offset layer three
textures/wily_grass/grass1_p3
{
	q3map_novertexshadows
//	q3map_vertexScale 2
	q3map_offset 2
	q3map_bouncescale 0.125

	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap

	sort 12
	cull none
	{
//		map textures/wily_grass/grass1.tga
		map textures/ut4_superman_pre/grass1.tga
//		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		blendfunc gl_dst_color gl_src_color
		alphaFunc GE128
		depthWrite
		rgbGen vertex
		tcmod scale .9 .9
	}
}
// -----------------
// end of grass shader
// -----------------
